org.apache.ignite.internal.processors.platform.client

## Class ClientIntResponse

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerResponse
  - - org.apache.ignite.internal.processors.platform.client.ClientResponse
    - - org.apache.ignite.internal.processors.platform.client.ClientIntResponse

    public class ClientIntResponse
    extends ClientResponse

Int response.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.ClientListenerResponse

`STATUS_FAILED, STATUS_SUCCESS`

### Constructor Summary

Constructors
Constructor and Description
`ClientIntResponse(long reqId, int val)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `encode(BinaryRawWriterEx writer)` Encodes the response data.

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.ClientResponse

`requestId`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.ClientListenerResponse

`error, error, status, status`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientIntResponse

    public ClientIntResponse(long reqId,
                             int val)

Constructor.

Parameters:
  `reqId` - Request id.

### Method Detail

#### encode

    public void encode(BinaryRawWriterEx writer)

Encodes the response data.

Overrides:
  `encode` in class `ClientResponse`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018